#include "particleSystem.h"
#include <cstdlib>
#include <ctime>

int main()
{
	srand(time(0));
	al_init();
	al_set_app_name("Particle system");
	al_install_keyboard();

	ALLEGRO_DISPLAY *buffer = al_create_display(640, 480);
	ALLEGRO_COLOR barva[8];
	Barva barva1 = {255, 0, 0}, barva2 = {255, 255, 0};
	Barva barva3 = {100, 255, 100}, barva4 = {100, 30, 100};
	Barva barva5 = {20, 20, 200}, barva6 = {180, 180, 255};
	Barva barva7 = {0, 255, 255}, barva8 = {255, 0, 255};

	ParticleSystemPas novy1(0, 480, barva1, barva2, 1500, 640);
	ParticleSystemPas novy2(0, 0, barva3, barva4, 1500, 640, 90);
	ParticleSystemBod novy3(150, 480/2, barva5, barva6, 300);
	ParticleSystemBod novy4(490, 280, barva7, barva8, 200, 30, 150);

	novy1.nastavMaxZivot(5);
	novy2.nastavMaxZivot(4);
	novy3.nastavMaxZivot(4);
	novy1.reset();
	novy2.reset();
	novy3.reset();

	ALLEGRO_KEYBOARD_STATE stavKlavesnice;
	do {
		al_clear_to_color(al_map_rgb(0, 0, 0));
		novy1.zobraz();
		novy2.zobraz();
		novy3.zobraz();
		novy4.zobraz();
		al_flip_display();
		al_rest(0.03);
		al_get_keyboard_state(&stavKlavesnice);
	} while (!al_key_down(&stavKlavesnice, ALLEGRO_KEY_ESCAPE));

	al_uninstall_keyboard();
	al_destroy_display(buffer);
	return 0;
}
